qtlocation-opensource-src (5.15.18+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.18.
  * Update symbols files from the logs of buildds.
  * Drop ‘Priority: optional’, it became default in dpkg 1.22.12.
  * Bump Standards-Version to 4.7.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jan 2026 23:52:12 +0300

qtlocation-opensource-src (5.15.17+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update the architectures on which consider the test suite as non-fatal
    (mostly synchronizing from qtdeclarative)
    - add hurd-amd64, hurd-i386, and x32
    - drop ia64, mips, and mipsel
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Wed, 01 Oct 2025 06:48:18 +0200

qtlocation-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:01:41 +0300

qtlocation-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 22:37:19 +0300

qtlocation-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  * Add a patch from KDE to fix build with ICU 75 (closes: #1092344).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 08 Jan 2025 16:53:31 +0300

qtlocation-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:42:46 +0300

qtlocation-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Update symbols files from buildds’ and current build logs.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Sep 2024 12:17:30 +0300

qtlocation-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:47:51 +0300

qtlocation-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.
  * Update debian/libqt5location5.symbols for hppa.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Mar 2024 18:39:12 +0300

qtlocation-opensource-src (5.15.12+dfsg-2) experimental; urgency=medium

  * Resurrect opengl.diff from 5.15.9+dfsg-1, to fix FTBFS.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 00:51:41 +0300

qtlocation-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Update debian/libqt5location5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 19:14:47 +0300

qtlocation-opensource-src (5.15.10+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix condition for appendChildNode() call
    (closes: #1050240).
  * Update debian/libqt5location5.symbols from buildds’ logs.
  * Add debian/clean file (closes: #1048265).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 23 Aug 2023 14:25:47 +0300

qtlocation-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Add a patch to add missing includes for GCC 13 (closes: #1037830).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 10:09:49 +0300

qtlocation-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.
  * Drop opengl.diff, a similar fix was applied upstream.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jun 2023 21:48:07 +0300

qtlocation-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add Rules-Requires-Root: no. Nothing should require root when building
    this code.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Apr 2023 23:27:30 +0300

qtlocation-opensource-src (5.15.8+dfsg-3) unstable; urgency=medium

  * Let the system build the serial plugin by adding libqt5serialport5-dev as
    a build dependency (Closes: #1032394). Thanks Jon Beniston for the bug
    report!

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 10 Mar 2023 17:38:31 -0300

qtlocation-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:51 +0400

qtlocation-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Drop geoclue2_fix_position_handling.diff, included in the new release.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 12:10:46 +0400

qtlocation-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5location5.symbols for alpha.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:18 +0300

qtlocation-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:37:35 +0300

qtlocation-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:48 +0300

qtlocation-opensource-src (5.15.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.6.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Sep 2022 21:41:39 +0300

qtlocation-opensource-src (5.15.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Use symver directive to catch all private symbols at once.
  * Update debian/source/lintian-overrides for Lintian pointed hints.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jul 2022 23:36:57 +0300

qtlocation-opensource-src (5.15.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:32 +0300

qtlocation-opensource-src (5.15.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 11:09:24 +0300

qtlocation-opensource-src (5.15.3+dfsg-3) experimental; urgency=medium

  * Add a patch to fix OpenGL detection.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Mar 2022 21:35:40 +0300

qtlocation-opensource-src (5.15.3+dfsg-2) experimental; urgency=medium

  * Build with -config opengl, to adapt for changes in 5.15.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Mar 2022 16:35:44 +0300

qtlocation-opensource-src (5.15.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 22:21:58 +0300

qtlocation-opensource-src (5.15.2+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix position handling in geoclue2 plugin
    (closes: #996040).
  * Update debian/watch: use format 4, and track only 5.15.x releases.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 10 Nov 2021 22:11:29 +0300

qtlocation-opensource-src (5.15.2+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:31:57 +0300

qtlocation-opensource-src (5.15.2+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + qtlocation5-dev: Add Multi-Arch: same.
    + qtlocation5-doc, qtlocation5-doc-dev, qtlocation5-doc-html: Add
      Multi-Arch: foreign.

  [ Dmitry Shachnev ]
  * Add powerpc to the list of architectures where QML engine is broken
    (closes: #973519).
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Update debian/copyright.
  * Add a symbols file for libqt5positioningquick5 package.
  * Remove build path from .prl files for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Nov 2020 20:10:08 +0300

qtlocation-opensource-src (5.15.1+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5location5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:53:29 +0300

qtlocation-opensource-src (5.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Drop gcc10.diff, included in the new release.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Stop exporting $HOME for tests, debhelper now does that itself.
    - Use ${DEB_HOST_MULTIARCH} substitution.
  * Update symbols files from the current build log.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Sep 2020 17:25:25 +0300

qtlocation-opensource-src (5.14.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:54:14 +0300

qtlocation-opensource-src (5.14.2+dfsg-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.14.2.
  * Backport patches to fix mapbox-gl-native build with GCC 10 (closes:
    #957731).

  [ Bas Couwenberg ]
  * Drop libmapbox-variant-dev & libmapbox-wagyu-dev build dependencies
    (closes: #952611).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Apr 2020 22:20:23 +0300

qtlocation-opensource-src (5.14.1+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Update debian/copyright.
  * Stop installing QGeoPolygonPrivate include in qtpositioning5-dev.
  * Update debian/libqt5location5.symbols from the current build log.
  * Add weatherinfo icons licensing to debian/copyright.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 26 Feb 2020 14:31:05 +0300

qtlocation-opensource-src (5.12.5+dfsg-5) unstable; urgency=medium

  * Brow paperbag upload: the last upload should have gone to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Feb 2020 11:19:18 -0300

qtlocation-opensource-src (5.12.5+dfsg-4) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Fix Mapbox GL build on Hurd, thanks Samuel Thibault (closes: #947735).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 10 Feb 2020 10:06:57 -0300

qtlocation-opensource-src (5.12.5+dfsg-3) experimental; urgency=medium

  * Ship the Mapbox GL plugin in a separate package (closes: #929842).
    - Replace some bundled dependencies with system packages.
  * Fix build on Hurd, thanks Samuel Thibault (closes: #947735).
  * Bump debhelper compat level to 12, use the new syntax.
  * Split the doxygen .tags files into a new qtlocation5-doc-dev package
    (see #922707).
  * Update descriptions of the documentation packages.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 31 Dec 2019 12:42:59 +0300

qtlocation-opensource-src (5.12.5+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:42:50 +0300

qtlocation-opensource-src (5.12.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Update symbols files from the current build log.
  * Bump Qt build-dependencies to 4.4.0, no changes needed.
  * Remove libqt5positioningquick5 dependency on libqt5location5 to fix
    circular dependency (the latter package depends on the former).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 18 Sep 2019 21:03:27 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libqt5positioning5`.
